Summary: Collection of basic system utilities for Linux
Name: util-linux
Version: 2.10
Release: 1
Group: Utilities/System
Copyright: GPL, BSD, others
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.win.tue.nl/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Source1: util-linux-2.9-login.pamd
Source2: util-linux-2.9-chfn.pamd
Source3: util-linux-2.9-chsh.pamd
Patch: util-linux-2.9-config.patch
Requires: pam >= 0.59
Obsoletes: mount, losetup
Provides:  mount, losetup
Buildroot: /var/tmp/%{name}-root

%description
util-linux contains a large variety of low-level system utilities
necessary for a functional Linux system.  This includes, among other
things, configuration tools such as fdisk and system programs such
as login.

This package includes mount and losetup which are packaged seperately in
stock Red Hat distributions. tunelp is also included.


%prep
%setup -q
%patch -p1


%build
./configure

# Remove NLS support with brute force
perl -pi -e 's|#define ENABLE_NLS||' defines.h
perl -pi -e 's|po \\| \\|' Makefile

make OPT="$RPM_OPT_FLAGS" 


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info

mkdir -p $RPM_BUILD_ROOT/etc/pam.d
install -m644 %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/login
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/chsh
install -m644 %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/chfn

# These are examples so should goto %doc rather than /usr/lib
mv $RPM_BUILD_ROOT/usr/lib/getopt getopt.samples
chmod 644 getopt.samples/*
mv getopt-1.0.3b/README getopt-1.0.3b/README.getopt

# Of dubious necessity, but RedHat did this.
chmod 4711 $RPM_BUILD_ROOT/usr/bin/{chfn,chsh,newgrp}

# glibc-2.1.1 provides /sbin/sln so we remove it here
rm -f $RPM_BUILD_ROOT/{sbin/sln,usr/man/man8/sln.8}

# Now construct the file list
cat > files.lst << EOF
%defattr(-,root,root)
%doc HISTORY INSTALL */README.*
%doc getopt.samples
EOF
find $RPM_BUILD_ROOT -xtype f | sed "s|^$RPM_BUILD_ROOT||" | sort | sed \
	-e 's|^/usr/bin/write$|%attr(2755,root,tty) /usr/bin/write|' \
	-e 's|^/etc/pam.d|%config /etc/pam.d|' \
	>> files.lst


%files -f files.lst


%clean
rm -rf $RPM_BUILD_ROOT
